Langsung ke konten utama
GET
/
v3
/
stores
/
{store_id}
/
customers
/
me
/
course-sections
/
{uuid}
Get a course section
curl --request GET \
  --url https://api.scalev.com/v3/stores/{store_id}/customers/me/course-sections/{uuid} \
  --header 'Authorization: Bearer <token>'
{
  "uuid": "<string>",
  "title": "<string>",
  "type": "<string>",
  "sequence_order": 123,
  "is_shown": true,
  "variant_id": 123,
  "course_contents": [
    {
      "uuid": "<string>",
      "title": "<string>",
      "text": "<string>",
      "type": "<string>",
      "duration": 123,
      "video_url": "<string>",
      "sequence_order": 123,
      "is_shown": true,
      "is_discussion_active": true,
      "section_uuid": "<string>",
      "variant_id": 123,
      "boosts": [
        {}
      ],
      "progress": {
        "updated_at": "2023-11-07T05:31:56Z",
        "progress": 123,
        "is_completed": true
      },
      "is_notification_enabled": true,
      "inserted_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "progress": {
    "updated_at": "2023-11-07T05:31:56Z",
    "progress": 123,
    "is_completed": true
  },
  "inserted_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

uuid
string
wajib
store_id
string
wajib

Store unique_id.

Respons

Course section

uuid
string
title
string | null
type
string | null
sequence_order
integer | null
is_shown
boolean | null
variant_id
integer | null
course_contents
object[]
progress
object
inserted_at
string<date-time> | null
updated_at
string<date-time> | null